Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.util
Class RestartableThread<T>

    java.lang.Object
      java.lang.Thread
          rabbit.util.RestartableThread<T>

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  Connection

    public abstract class RestartableThread<T>

extends java.lang.Thread

A thread class that is restartable.

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`RestartableThread()`
`RestartableThread(java.lang.String name)`

Method Summary
`abstract void` | `doWork()` This is the method that is run.
`void` | `run()` Dont override this in subclasses.
`void` | `start()` Overridden to handle restarting of this thread.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RestartableThread

    public RestartableThread()

### RestartableThread

    public RestartableThread(java.lang.String name)

Method Detail

### doWork

    public abstract void doWork()

  This is the method that is run. To change a thread to a restartablethread move the old run to doWork.

### run

    public void run()

  Dont override this in subclasses.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### start

    public void start()

  Overridden to handle restarting of this thread.

  Overrides:
    `start` in class `java.lang.Thread`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD